cocoon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Carsten Ziegeler <cziege...@apache.org>
Subject Re: 2.2 does not build with JDK1.4.2
Date Fri, 13 Jul 2007 10:23:47 GMT
Alfred Nathaniel wrote:
> On Wed, 2007-07-11 at 07:50 +0200, Carsten Ziegeler wrote:
>> Hi,
>>
>> did you try maven 2.0.7 with jdk 1.4.2?
>>
>> While building Cocoon with 2.0.7 and jdk1.5, I noticed that the version
>> for the spring-dao was resolved to 2.0.4....which fortunately is
>> available :(
>>
>> Carsten
> 
> Nope, same problem with maven 2.0.7.
> 
> Actually in Jan you filed yourself a bugreport
> http://jira.codehaus.org/browse/MNG-2782 where ${project.version} was
> resolved to 2.4.1.  (You were then still using JDK1.4.2?)
Yes, I used 1.4.2

> 
> Reading http://docs.codehaus.org/display/MAVEN/Refactoring+Interpolation
> I gather the problem it is deeply rooted in maven and may be tackled
> only with maven 2.1.x.
Yes, unfortunately - I still don't get why maven does not simply replace
the properties on deployment. sigh.

> 
> <snip/>
> I guess that is due an endorsed Xalan/Xerces problem.
Yepp.

> 
> This is really getting out of hands.  I am now dumping 1.4.2.
:)

Carsten
-- 
Carsten Ziegeler
cziegeler@apache.org

Mime
View raw message